%define module  django-robots
# comment out when not pre-release
#define prel    rc4

%define rel     1

Name:           python-%{module}
Version:        2.0
Release:        %mkrel %{?prel:0.%prel.}%{rel}
Summary:        Robots exclusion application for Django, complementing Sitemaps
Group:          Development/Python
License:        BSD
URL:            https://github.com/jezdez/django-robots/
Source0:        https://pypi.python.org/packages/source/d/%{module}/%{module}-%{version}%{?prel}.tar.gz
BuildArch:      noarch
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  pkgconfig(python2)
# for docs generation
BuildRequires:  gettext
BuildRequires:  pythonegg(2)(sphinx)
BuildRequires:  pythonegg(2)(sphinx-rtd-theme)

Requires:       pythonegg(2)(django) >= 1.6

%description
Django application to manage robots.txt files following the robots exclusion
protocol, complementing the Django Sitemap contrib app.

#---------------------------------------------------------------------------

%package -n     python3-%{module}
Summary:        Robots exclusion application for Django, complementing Sitemaps
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pythonegg(3)(setuptools)
BuildRequires:  pkgconfig(python3)

Requires:       pythonegg(3)(django) >= 1.6

%description -n python3-%{module}
Django application to manage robots.txt files following the robots exclusion
protocol, complementing the Django Sitemap contrib app.
This is the Python 3 build of %{module}.

#---------------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}%{?prel}

# Remove bundled egg-info
rm -rf django_robots.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

# generate html docs 
sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

%files
%doc LICENSE.txt README.rst html
# list some files explicitly to avoid listing locale files twice
%{python2_sitelib}/robots/*.py*
%{python2_sitelib}/robots/migrations/*.py*
%{python2_sitelib}/robots/south_migrations/
%{python2_sitelib}/robots/templates/
%{python2_sitelib}/django_robots-%{version}%{?prel}-py%{python2_version}.egg-info
%exclude %{python2_sitelib}/tests/
# locale files
%lang(da) %{python2_sitelib}/robots/locale/da/LC_MESSAGES/django.?o
%lang(de) %{python2_sitelib}/robots/locale/de/LC_MESSAGES/django.?o
%lang(el) %{python2_sitelib}/robots/locale/el/LC_MESSAGES/django.?o
%lang(en) %{python2_sitelib}/robots/locale/en/LC_MESSAGES/django.?o
%lang(es_ES) %{python2_sitelib}/robots/locale/es_ES/LC_MESSAGES/django.?o
%lang(fr) %{python2_sitelib}/robots/locale/fr/LC_MESSAGES/django.?o
%lang(it) %{python2_sitelib}/robots/locale/it/LC_MESSAGES/django.?o
%lang(ja) %{python2_sitelib}/robots/locale/ja/LC_MESSAGES/django.?o
%lang(nl) %{python2_sitelib}/robots/locale/nl/LC_MESSAGES/django.?o
%lang(pt_BR) %{python2_sitelib}/robots/locale/pt_BR/LC_MESSAGES/django.?o
%lang(ru) %{python2_sitelib}/robots/locale/ru/LC_MESSAGES/django.?o
%lang(sk) %{python2_sitelib}/robots/locale/sk/LC_MESSAGES/django.?o
%lang(uk) %{python2_sitelib}/robots/locale/uk/LC_MESSAGES/django.?o

%files -n python3-%{module}
%doc LICENSE.txt README.rst html
# list some files explicitly to avoid listing locale files twice
%{python3_sitelib}/robots/*py*
%{python3_sitelib}/robots/migrations/*py*
%{python3_sitelib}/robots/south_migrations/
%{python3_sitelib}/robots/templates/
%{python3_sitelib}/django_robots-%{version}%{?prel}-py%{python3_version}.egg-info
%exclude %{python3_sitelib}/tests/
# locale files
%lang(da) %{python3_sitelib}/robots/locale/da/LC_MESSAGES/django.?o
%lang(de) %{python3_sitelib}/robots/locale/de/LC_MESSAGES/django.?o
%lang(el) %{python3_sitelib}/robots/locale/el/LC_MESSAGES/django.?o
%lang(en) %{python3_sitelib}/robots/locale/en/LC_MESSAGES/django.?o
%lang(es_ES) %{python3_sitelib}/robots/locale/es_ES/LC_MESSAGES/django.?o
%lang(fr) %{python3_sitelib}/robots/locale/fr/LC_MESSAGES/django.?o
%lang(it) %{python3_sitelib}/robots/locale/it/LC_MESSAGES/django.?o
%lang(ja) %{python3_sitelib}/robots/locale/ja/LC_MESSAGES/django.?o
%lang(nl) %{python3_sitelib}/robots/locale/nl/LC_MESSAGES/django.?o
%lang(pt_BR) %{python3_sitelib}/robots/locale/pt_BR/LC_MESSAGES/django.?o
%lang(ru) %{python3_sitelib}/robots/locale/ru/LC_MESSAGES/django.?o
%lang(sk) %{python3_sitelib}/robots/locale/sk/LC_MESSAGES/django.?o
%lang(uk) %{python3_sitelib}/robots/locale/uk/LC_MESSAGES/django.?o


%changelog
* Sun Feb 28 2016 daviddavid <daviddavid> 2.0-1.mga6
+ Revision: 980491
- new version: 2.0

* Mon Feb 08 2016 daviddavid <daviddavid> 2.0-0.rc4.2.mga6
+ Revision: 943923
- generate html docs

* Mon Feb 08 2016 daviddavid <daviddavid> 2.0-0.rc4.1.mga6
+ Revision: 943895
- new version: 2.0rc4
- update file list

* Wed Oct 07 2015 daviddavid <daviddavid> 1.1-2.mga6
+ Revision: 886822
- rebuild for python 3.5
- use new python macros

* Sun Jun 21 2015 daviddavid <daviddavid> 1.1-1.mga6
+ Revision: 837960
- new version: 1.1
- update file list

* Wed Oct 15 2014 umeabot <umeabot> 1.0-5.mga5
+ Revision: 750107
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0-4.mga5
+ Revision: 728309
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0-3.mga5
+ Revision: 687991
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.0-2.mga5
+ Revision: 628595
- Rebuild for new Python

* Sat Apr 26 2014 daviddavid <daviddavid> 1.0-1.mga5
+ Revision: 618161
- fix rpmlint warning: "file-not-in-%%lang"
- fix list some files explicitly to avoid listing locale files twice
- update URL and link url for Source0
- add support of python 3
- prefer use pkgconfig and pythonegg() macros
- new version: 1.0

* Tue Oct 22 2013 umeabot <umeabot> 0.9.2-4.mga4
+ Revision: 543277
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.2-3.mga4
+ Revision: 498392
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Oct 04 2013 philippem <philippem> 0.9.2-2.mga4
+ Revision: 491530
+ rebuild (emptylog)

* Mon Jun 03 2013 kharec <kharec> 0.9.2-1.mga4
+ Revision: 436238
- Update to 0.9.2
- update file list to provide migration scripts

* Sun Jan 13 2013 umeabot <umeabot> 0.8.0-4.mga3
+ Revision: 378710
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Apr 27 2011 ennael <ennael> 0.8.0-3.mga1
+ Revision: 92210
- fix typo in requirs

* Tue Apr 26 2011 misc <misc> 0.8.0-2.mga1
+ Revision: 91727
- fix Group

* Tue Apr 26 2011 misc <misc> 0.8.0-1.mga1
+ Revision: 91719
- imported package python-django-robots


* Tue Apr 26 2011 Michael Scherer <misc@zarb.org> - 0.8.0-1.mga1
- adapt spec from Fedora

* Thu Apr 14 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 0.8.0-1
- initial spec
